Description: Fix usage of new goval-dictionnary
Bug-Debian: https://bugs.debian.org/983577
Forwarded: not-needed
Author: Aloïs Micard <alois@micard.lu>
Last-Update: 2021-03-09

--- a/oval/util.go
+++ b/oval/util.go
@@ -79,6 +79,7 @@
 	packName          string
 	versionRelease    string
 	NewVersionRelease string
+	arch		  string
 	binaryPackNames   []string
 	isSrcPack         bool
 }
@@ -107,6 +108,7 @@
 				versionRelease:    pack.FormatVer(),
 				NewVersionRelease: pack.FormatVer(),
 				isSrcPack:         false,
+				arch:		   pack.Arch,
 			}
 		}
 		for _, pack := range r.SrcPackages {
@@ -223,6 +225,7 @@
 			packName:          pack.Name,
 			versionRelease:    pack.FormatVer(),
 			NewVersionRelease: pack.FormatNewVer(),
+			arch:		   pack.Arch,
 			isSrcPack:         false,
 		})
 	}
@@ -236,7 +239,7 @@
 	}
 
 	for _, req := range requests {
-		definitions, err := driver.GetByPackName(r.Release, req.packName)
+		definitions, err := driver.GetByPackName(r.Family, r.Release, req.packName, req.arch)
 		if err != nil {
 			return relatedDefs, fmt.Errorf("Failed to get %s OVAL info by package: %#v, err: %s", r.Family, req, err)
 		}
